Bug 62964 - Visibility of the palette per document type
Visibility of the palette per document type
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Palette
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
plan61
: PLAN, UI, USABILITY
Depends on:
Blocks: 90211
  Show dependency treegraph
 
Reported: 2005-08-24 17:00 UTC by Antonin Nebuzelsky
Modified: 2008-12-22 11:56 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2005-08-24 17:00:13 UTC
Currently when the user first closes the palette, for example when he has an
HTML file open in editor and he is not interested in the code snippets the
palette offers for HTML, the palette will be hidden for other documents like
form as well, until the user clicks Window/Palette in menu.

This is confusing and also uncomfortable. With HTMLs I may not be interested in
the palette at all, but for forms the palette is necessary to do the design.

I suggest that the visible/hidden property of the palette window is stored and
applied per type of the selected document.
Comment 1 Stanislav Aubrecht 2008-02-22 17:38:39 UTC
fixed

http://hg.netbeans.org/main/rev/ba4a2c10e48e


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo